Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.addressing.wsdl
Class Anonymous

    java.lang.Object
      org.apache.cxf.ws.addressing.wsdl.Anonymous

    public class Anonymous

extends java.lang.Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <simpleContent>
         <extension base="<http://www.w3.org/2006/05/addressing/wsdl>AnonymousType">
         </extension>
       </simpleContent>
     </complexType>

Field Summary
`protected AnonymousType` | `value`

Constructor Summary
`Anonymous()`

Method Summary
`java.util.Map<javax.xml.namespace.QName,java.lang.String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`AnonymousType` | `getValue()` Gets the value of the value property.
`void` | `setValue(AnonymousType value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected AnonymousType value

Constructor Detail

### Anonymous

    public Anonymous()

Method Detail

### getValue

    public AnonymousType getValue()

  Gets the value of the value property.

  Returns:
    possible object is `AnonymousType`

### setValue

    public void setValue(AnonymousType value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `AnonymousType`

### getOtherAttributes

    public java.util.Map<javax.xml.namespace.QName,java.lang.String> getOtherAttributes()

  Gets a map that contains attributes that aren't bound to any typed property on this class.

  the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

  Returns:
    always non-null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF